{% extends 'base.html' %}

{% block content %}
	<div class="row prepend-top-default p-2">
		<div class="col-lg-5 col-md-5 profile-settings-sidebar">
			<h4 class="prepend-top-0"><strong>Two-Factor Authentication</strong></h4>
			<p> Increase your account's security by enabling Two-Factor Authentication (2FA).</p>
		</div>
		<div class="col-lg-7 col-md-7">
			<div class="append-bottom-10">
				{% if messages %}
					<div class="{{ message.tags}} {{ message.extra_tags }}">
						{% for message in messages %}
							<div class="alert alert-success" role="alert">{{ message }}</div>
						{% endfor %}
					</div>
            	{% endif %}
				{% if not enabled %}
					<p>Status: <strong>Disabled</strong></p>
					<a href="{% url 'two_factor_authentication:register_two_factor' %}" class="btn btn-success text-white">Enable two-factor authentication</a>
				{% else %}
					<p>Status: <strong>Enabled</strong></p>
					<a href="{% url 'two_factor_authentication:register_two_factor' %}" class="btn btn-success text-white">Manage two-factor authentication</a>
				{% endif %}
			</div>
		</div>
	</div>
	<hr>
	<div class="row pl-3 pt-2">
		<div class="col-lg-12">
			<p>
				Two-factor authentication (2FA), sometimes referred to as two-step verification or dual-factor authentication, is a security process in which users provide two different authentication factors to verify themselves. This process is done to better protect both the user's credentials and the resources the user can access. Two-factor authentication provides a higher level of security than authentication methods that depend on single-factor authentication (SFA), in which the user provides only one factor -- typically, a password or passcode. Two-factor authentication methods rely on a user providing a password, as well as a second factor, usually either a security token or a biometric factor, such as a fingerprint or facial scan.
			</p>
		</div>
	</div>
{% endblock %}